Bug 817333 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/openvpn.
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f8db30ea2d9a96b911d2c148424...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 03:51 EDT by Roman Melihhov
Modified: 2013-02-13 13:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Melihhov 2012-04-29 03:51:51 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/openvpn.
time:           Sun 29 Apr 2012 10:51:40 AM EEST

description:
:SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/openvpn.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that httpd should be allowed search access on the openvpn directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                system_u:object_r:openvpn_etc_t:s0
:Target Objects                /etc/openvpn [ dir ]
:Source                        httpd
:Source Path                   /usr/sbin/httpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           httpd-2.2.22-2.fc16.x86_64
:Target RPM Packages           openvpn-2.2.1-2.fc16.x86_64
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc16.x86_64 #1
:                              SMP Sat Apr 14 00:31:23 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    Sat 28 Apr 2012 04:17:08 PM EEST
:Last Seen                     Sun 29 Apr 2012 10:50:04 AM EEST
:Local ID                      e62e48c2-8777-4e43-9371-93cea967e868
:
:Raw Audit Messages
:type=AVC msg=audit(1335685804.40:81): avc:  denied  { search } for  pid=4528 comm="httpd" name="openvpn" dev="sda3" ino=48339 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:openvpn_etc_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1335685804.40:81): arch=x86_64 syscall=stat success=no exit=EACCES a0=7f248564b260 a1=7fff1f9d54b0 a2=7fff1f9d54b0 a3=0 items=0 ppid=1113 pid=4528 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: httpd,httpd_t,openvpn_etc_t,dir,search
:
:audit2allow
:
:#============= httpd_t ==============
:allow httpd_t openvpn_etc_t:dir search;
:
:audit2allow -R
:
:#============= httpd_t ==============
:allow httpd_t openvpn_etc_t:dir search;
:
Comment 1 Daniel Walsh 2012-04-30 16:05:20 EDT
Why is apache search through openvpn config?  Is this intengtional?
Comment 2 Fedora End Of Life 2013-01-16 10:45:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 13:55:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.